香港独立IP空间
香港php空间
美国php空间
域名注册

无忧主机php独立ip空间中有一些使用老版本的wordpress用户,在使用wordpress博客中关于无法升级wordpress和wordpress插件的问题。我们在添加,删除或者升级 WordPress 插件或者直接升级 WordPress 的时候,有些用户的 WordPress 无法直接升级,反而总是提示让你输入虚拟空间的FTP帐号信息。
经过无忧主机小编的分析,这是因为 WordPress 是基于文件的所有者来判断的。
如果你主机的用户名和文件的用户名不是一样的,那么 WordPress 就会让你通过 FTP 来进行更新。
无忧小编发现,如果虚拟主机的用户已经有权限的 FTP 上传的文件进行读写的话,我们除了在 wp-config.php 定义 FTP 信息之外,其实我们还可以强制 WordPress 直接升级。
我们只需要在wp-config.php 添加如下一行代码即可:
define(‘FS_METHOD’,’direct’);
是不是很简单呢,至于现在最新版本的来说,小编还没有去斟酌过。如果也遇到这一样的问题,也可以用这种方法去试试哦。

无忧主机相关文章推荐阅读:

WORDPRESS统计插件WP STATISTICS

WORDPRESS实现社会化联合登录功能实现方法

如何利用.HTACCESS实现ZBLOG和WORDPRESS之间的链接跳转

WORDPRESS卸载WP-SUPER-CACHE插件导致无法显示最新发布的文章

本文地址:http://www.51php.com/wordpress/17773.html

喜欢本文或觉得本文对您有帮助,请分享给您的朋友 ^_^

阅读本文的人还阅读:


搜索技术文档